@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}
.container-login {
  width: 100%;
  height: 100%;
  position: relative;
}
.video-login-bg {
  position: absolute;
  inset: 0;
  width: 100%;
  height: auto;
  overflow: hidden;
}
.video-login-bg::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.3);
}
.video-login-bg video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  max-width: 100%;
  position: absolute;
  z-index: -1;
}
.container-card-login {
  width: 100%;
  min-height: 100vh;
  display: grid;
  place-content: center;
  place-items: center;
  position: relative;
  z-index: 10;
}
.card-login {
  background: #fff;
  border-bottom-right-radius: 6px;
  border-bottom-left-radius: 6px;
  position: relative;
  width: 100%;
  max-width: 400px;
  max-height: 400px;
  min-width: 350px;
  min-height: 350px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}
.card-login form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  min-height: inherit;
  padding: 40px 8px;
}
.card-login h1 {
  background-image: linear-gradient(60deg, #005bea, #1108ae);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  font-size: 2.5rem;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
}
.card-login-body {
  padding: 0 5px;
}
.form-control-inputs {
  margin-bottom: 1rem;
  position: relative;
}
.form-control-inputs input {
  display: block;
  width: 100%;
  height: 50px;
  background: 0 0;
  font-size: 18px;
  color: #444;
  line-height: 1.2;
  padding: 0 2px;
  border: 0;
  border-bottom: 2px solid #333333;
  font-weight: 600;
}
.form-control-inputs input::placeholder {
  color: #444;
  font-weight: 600;
}
.span-animation-login::before {
  content: "";
  display: block;
  position: absolute;
  bottom: 0px;
  left: 0;
  width: 0;
  height: 2px;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
  background: #005bea;
  background: -webkit-linear-gradient(45deg, #005bea, #1108ae);
  background: -o-linear-gradient(45deg, #005bea, #1108ae);
  background: -moz-linear-gradient(45deg, #005bea, #1108ae);
  background: linear-gradient(45deg, #005bea, #1108ae);
}
.form-control-inputs input:focus {
  outline: none;
  border-bottom: 2px solid #ccc !important;
}
.form-control-inputs input:focus + .span-animation-login::before {
  width: 100%;
}
.btn-card-login {
  width: 100%;
  text-align: center;
}
.btn-card-login button {
  padding: 8px 20px;
  border: 2px solid #005bea;
  background: transparent;
  color: #005bea;
  border-radius: 4px;
  text-transform: uppercase;
  font-weight: bolder;
  transition: 0.4s ease;
  cursor: pointer;
}
.btn-card-login button:hover {
  background: #005bea;
  color: #fff;
}
.btn-card-scantechpage {
  width: 100%;
  position: absolute;
  left: 0;
  top: -30px;
  text-align: center;
}
.btn-card-scantechpage a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 30px;
  overflow: hidden;
  background: #005bea;
  color: #fff;
  text-align: center;
  gap: 10px;
  border-top-right-radius: 6px;
  border-top-left-radius: 6px;
  text-decoration: none;
  font-weight: 700;
}
.btn-card-scspanprimary {
  font-size: 17px;
}
.btn-card-scspansecondary i {
  transition: 0.3s ease;
}
.btn-card-scantechpage a:hover .btn-card-scspansecondary i {
  transform: scale(1.2);
}
.btn-showpassword {
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  align-items: center;
  justify-content: center;
  padding: 0 10px;
  cursor: pointer;
  background: transparent;
  border: none;
  outline: none;
  font-size: 18px;
  color: #444;
}
.showpass {
  display: flex;
}
.dontshow {
  display: none;
}
